Index: branches/BNC_2.12/src/bncephuser.cpp
===================================================================
--- branches/BNC_2.12/src/bncephuser.cpp	(revision 9363)
+++ branches/BNC_2.12/src/bncephuser.cpp	(revision 9377)
@@ -224,36 +224,36 @@
     double dt = currentTime - toc;
 
-    // update interval: 2h, data sets are valid for 4 hours + 5 min
-    if      (eph->type() == t_eph::GPS     && (dt > 14700.0 || dt < -7500.0)) {
-      eph->setCheckState(t_eph::outdated);
-      return;
-    }
-    // update interval: 3h, data sets are valid for 4 hours + 5 min
-    else if (eph->type() == t_eph::Galileo && (dt > 14700.0 || dt < 0.0)) {
+    // update interval: 2h, data sets are valid for 4 hours
+    if      (eph->type() == t_eph::GPS     && (dt > 14400.0 || dt < -7200.0)) {
+      eph->setCheckState(t_eph::outdated);
+      return;
+    }
+    // update interval: 3h, data sets are valid for 4 hours
+    else if (eph->type() == t_eph::Galileo && (dt > 14400.0 || dt <     0.0)) {
       eph->setCheckState(t_eph::outdated);
       return;
     }
     // updated every 30 minutes + 5 min
-    else if (eph->type() == t_eph::GLONASS && (dt > 3900.0 || dt < -2100.0)) {
-      eph->setCheckState(t_eph::outdated);
-      return;
-    }
-    // orbit parameters are valid for 7200 seconds (minimum) + 5 min
-    else if (eph->type() == t_eph::QZSS    && (dt > 7500.0 || dt < 3900.0)) {
-      eph->setCheckState(t_eph::outdated);
-      return;
-    }
-    // maximum update interval: 300 sec + 5 min
-    else if (eph->type() == t_eph::SBAS    && (dt > 600.0 || dt < -600.0)) {
+    else if (eph->type() == t_eph::GLONASS && (dt >  3900.0 || dt < -2100.0)) {
+      eph->setCheckState(t_eph::outdated);
+      return;
+    }
+    // orbit parameters are valid for 7200 seconds (minimum)
+    else if (eph->type() == t_eph::QZSS    && (dt >  7200.0 || dt < -3600.0)) {
+      eph->setCheckState(t_eph::outdated);
+      return;
+    }
+    // maximum update interval: 300 sec
+    else if (eph->type() == t_eph::SBAS    && (dt >   600.0 || dt <  -600.0)) {
       eph->setCheckState(t_eph::outdated);
       return;
     }
     // updates 1h + 5 min
-    else if (eph->type() == t_eph::BDS     && (dt > 3900.0 || dt < 0.0)) {
-      eph->setCheckState(t_eph::outdated);
-      return;
-    }
-    // update interval: up to 24 hours + 5 min
-    else if (eph->type() == t_eph::IRNSS   && fabs(dt > 86700.0)) {
+    else if (eph->type() == t_eph::BDS     && (dt >  3900.0 || dt <     0.0)) {
+      eph->setCheckState(t_eph::outdated);
+      return;
+    }
+    // update interval: up to 24 hours
+    else if (eph->type() == t_eph::IRNSS   && fabs(dt > 86400.0)) {
       eph->setCheckState(t_eph::outdated);
       return;
@@ -275,5 +275,5 @@
     MAXDIFF *= 10.0;
   }
-  
+
   if (ephL) {
     ColumnVector xcL(6);
@@ -305,39 +305,39 @@
     double dt = eph->TOC() - ephL->TOC();
 
-    // update interval: 2h, + 5 min
-    if      (eph->type() == t_eph::GPS     && dt > 3900.0) {
-      ephL->setCheckState(t_eph::outdated);
-      return;
-    }
-    // update interval: 3h, + 5 min
-    else if (eph->type() == t_eph::Galileo && dt > 11100.0) {
-      ephL->setCheckState(t_eph::outdated);
-      return;
-    }
-    // updated every 30 minutes
-    else if (eph->type() == t_eph::GLONASS && dt > 2100.0) {
+    // update interval: 2h
+    if      (eph->type() == t_eph::GPS     && dt >  3600.0) {
+      ephL->setCheckState(t_eph::outdated);
+      return;
+    }
+    // update interval: 3h
+    else if (eph->type() == t_eph::Galileo && dt > 10800.0) {
+      ephL->setCheckState(t_eph::outdated);
+      return;
+    }
+    // updated every 30 minutes + 5 min
+    else if (eph->type() == t_eph::GLONASS && dt >  2100.0) {
       ephL->setCheckState(t_eph::outdated);
       return;
     }
     // updated every ?
-    else if (eph->type() == t_eph::QZSS    && dt > 3900.0) {
-      ephL->setCheckState(t_eph::outdated);
-      return;
-    }
-    // maximum update interval: 300 sec + 5 min
-    else if  (eph->type() == t_eph::SBAS   && dt > 600.0) {
+    else if (eph->type() == t_eph::QZSS    && dt >  3600.0) {
+      ephL->setCheckState(t_eph::outdated);
+      return;
+    }
+    // maximum update interval: 300 sec
+    else if  (eph->type() == t_eph::SBAS   && dt >   600.0) {
       ephL->setCheckState(t_eph::outdated);
       return;
     }
     // updates 1h + 5 min
-    else if  (eph->type() == t_eph::BDS    && dt > 3900.0) {
-      ephL->setCheckState(t_eph::outdated);
-      return;
-    }
-    // update interval: up to 24 hours + 5 min
-    else if  (eph->type() == t_eph::IRNSS  && dt > 86700.0) {
-      ephL->setCheckState(t_eph::outdated);
-      return;
-    }
-  }
-}
+    else if  (eph->type() == t_eph::BDS    && dt >  3900.0) {
+      ephL->setCheckState(t_eph::outdated);
+      return;
+    }
+    // update interval: up to 24 hours
+    else if  (eph->type() == t_eph::IRNSS  && dt > 86400.0) {
+      ephL->setCheckState(t_eph::outdated);
+      return;
+    }
+  }
+}