Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 9399)
+++ trunk/BNC/src/bnchelp.html	(revision 9404)
@@ -341,6 +341,6 @@
   for data coming from Ntrip Broadcasters like
 <ul>
-  <li><a href="http://www.euref-ip.net/home" target="_blank">http://www.euref-ip.net/home</a></li>
-  <li><a href="http://www.igs-ip.net/home" target="_blank">http://www.igs-ip.net/home</a></li>
+  <li><a href="http://euref-ip.net/home" target="_blank">http://euref-ip.net/home</a></li>
+  <li><a href="http://igs-ip.net/home" target="_blank">http://igs-ip.net/home</a></li>
   <li><a href="http://products.igs-ip.net/home" target="_blank">http://products.igs-ip.net/home</a></li>
   <li><a href="http://mgex.igs-ip.net/home" target="_blank">http://mgex.igs-ip.net/home</a></li>
@@ -1190,6 +1190,6 @@
 <li>
 EUREF as well as IGS adhere to an open data policy. Streams are made available through Ntrip Broadcasters at
-<a href="http://www.euref-ip.net/home" target="_blank">http://www.euref-ip.net/home</a>,
- <a href="http://www.igs-ip.net/home" target="_blank">http://www.igs-ip.net/home</a>,
+<a href="http://euref-ip.net/home" target="_blank">http://euref-ip.net/home</a>,
+ <a href="http://igs-ip.net/home" target="_blank">http://igs-ip.net/home</a>,
  <a href="http://products.igs-ip.net/home" target="_blank">http://products.igs-ip.net/home</a> and
  <a href="http://mgex.igs-ip.net/home" target="_blank">http://mgex.igs-ip.net/home</a>
@@ -1472,5 +1472,5 @@
 </pre>
 <p>
-If several streams show up with exactly the same mountpoint name (example: BRUS0 from <u>www.euref-ip.net</u> and BRUS0 from <u>www.igs-ip.net</u>), BNC adds an integer number to the filename, leading e.g. to hourly RINEX Version 2 Observation files like</p>
+If several streams show up with exactly the same mountpoint name (example: BRUS0 from <u>euref-ip.net</u> and BRUS0 from <u>igs-ip.net</u>), BNC adds an integer number to the filename, leading e.g. to hourly RINEX Version 2 Observation files like</p>
 <pre>
    BRUS{ddd}{h}_0.{yy}O
@@ -4545,10 +4545,10 @@
 <p><h4 id="streamhost">2.19.1.1.1 Caster Host and Port - mandatory</h4></p>
 <p>
-Enter the Ntrip Broadcaster host IP and port number. Note that EUREF and IGS operate Ntrip Broadcasters at <u>http://www.euref-ip.net/home</u>, <u>http://www.igs-ip.net/home</u>, <u>http://products.igs-ip.net/home</u> and <u>http://mgex.igs-ip.net/home</u>.
+Enter the Ntrip Broadcaster host IP and port number. Note that EUREF and IGS operate Ntrip Broadcasters at <u>http://euref-ip.net/home</u>, <u>http://igs-ip.net/home</u>, <u>http://products.igs-ip.net/home</u> and <u>http://mgex.igs-ip.net/home</u>.
 </p>
 
 <p><h4 id="streamtable">2.19.1.1.2 Casters Table - optional</h4></p>
 <p>
-It may be that you are not sure about your Ntrip Broadcaster's host and port number or you are interested in other broadcaster installations operated elsewhere. Hit 'Show' for a table of known broadcasters maintained at <u>www.rtcm-ntrip.org/home</u>. A window opens which allows selecting a broadcaster for stream retrieval, see figure below.
+It may be that you are not sure about your Ntrip Broadcaster's host and port number or you are interested in other broadcaster installations operated elsewhere. Hit 'Show' for a table of known broadcasters maintained at <u>rtcm-ntrip.org/home</u>. A window opens which allows selecting a broadcaster for stream retrieval, see figure below.
 </p>
 
@@ -5262,6 +5262,6 @@
 <b>Upload Corrections Panel keys:</b>
    uploadMountpointsOut   {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:
-                          "www.igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;
-                           www.euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0"]}
+                          "igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;
+                           euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0"]}
    uploadIntr             {Length of SP3 and Clock RINEX file interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}
    uploadSamplRtcmEphCorr {Orbit corrections stream sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}
@@ -5295,6 +5295,6 @@
 <b>Add Stream keys:</b>
    mountPoints   {Mountpoints [character string, semicolon separated list, example:
-                 "//user:pass@www.igs-ip.net:2101/FFMJ1 RTCM_3.1 DEU 50.09 8.66 no 2;
-                 //user:pass@www.igs-ip.net:2101/FFMJ2 RTCM_3.1 DEU 50.09 8.66 no 2"}
+                 "//user:pass@igs-ip.net:2101/FFMJ1 RTCM_3.1 DEU 50.09 8.66 no 2;
+                 //user:pass@igs-ip.net:2101/FFMJ2 RTCM_3.1 DEU 50.09 8.66 no 2"}
    ntripVersion  {Ntrip Version [character string: 1|2|2s|R|U]}
    casterUrlList {Visited Broadcasters [character string, comma separated list]}
@@ -5319,8 +5319,8 @@
         --key reqcRnxVersion 2 --key reqcSampling 30 --key reqcV2Priority CWPX_?
 (6) bnc --key mountPoints "//user:pass@mgex.igs-ip.net:2101/CUT07 RTCM_3.0 ETH 9.03 38.74 no 2;
-                           //user:pass@www.igs-ip.net:2101/FFMJ1 RTCM_3.1 DEU 50.09 8.66 no 2"
+                           //user:pass@igs-ip.net:2101/FFMJ1 RTCM_3.1 DEU 50.09 8.66 no 2"
 (7) bnc --key cmbStreams "CLK11 BLG 1.0;CLK93 CNES 1.0"
 (8) bnc --key uploadMountpointsOut "products.igs-ip.net,98756,TEST,letmein,IGS14,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;
-                                    www.euref-ip.net,333,TEST2,aaaaa,NAD83,2,,,33,5,5"
+                                    euref-ip.net,333,TEST2,aaaaa,NAD83,2,,,33,5,5"
 (9) bnc --key PPP/staTable "FFMJ1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777;
                             CUT07,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7778"
@@ -5334,5 +5334,5 @@
   <tr><td>Distribution of IGS-IP streams &nbsp;</td><td><a href="http://www.igs.oma.be/real_time/" target="_blank">http://www.igs.oma.be/real_time/</a></td></tr>
   <tr><td>Completeness and latency of IGS-IP data &nbsp;</td><td><a href="http://www.igs.oma.be/highrate/" target="_blank">http://www.igs.oma.be/highrate/</a></td></tr>
-  <tr><td>Ntrip Broadcaster overview &nbsp;</td><td><a href="http://www.rtcm-ntrip.org/home" target="_blank">http://www.rtcm-ntrip.org/home</a></td></tr>
+  <tr><td>Ntrip Broadcaster overview &nbsp;</td><td><a href="http://rtcm-ntrip.org/home" target="_blank">http://rtcm-ntrip.org/home</a></td></tr>
   <tr><td>Ntrip Open Source software code &nbsp;</td><td><a href="http://software.rtcm-ntrip.org" target="_blank">http://software.rtcm-ntrip.org</a></td></tr>
   <tr><td>EUREF-IP Project &nbsp;</td><td><a href="http://www.epncb.oma.be/euref_IP" target="_blank">http://www.epncb.oma.be/euref_IP</a></td></tr>
Index: trunk/BNC/src/bncmain.cpp
===================================================================
--- trunk/BNC/src/bncmain.cpp	(revision 9399)
+++ trunk/BNC/src/bncmain.cpp	(revision 9404)
@@ -267,6 +267,6 @@
       "Upload Corrections Panel keys:\n"
       "   uploadMountpointsOut   {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:\n"
-      "                          \"www.igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;\n"
-      "                          www.euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0\"]}\n"
+      "                          \"igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;\n"
+      "                          euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0\"]}\n"
       "   uploadIntr             {Length of SP3 and Clock RINEX file interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}\n"
       "   uploadSamplRtcmEphCorr {Orbit corrections stream sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}\n"
@@ -293,11 +293,11 @@
       "Upload Ephemeris Panel keys:\n"
       "   uploadEphMountpointsOut {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:\n"
-      "                           \"www.igs-ip.net,2101,RTCM3EPH_GPS,pass,GPS\"]}\n"
+      "                           \"igs-ip.net,2101,RTCM3EPH_GPS,pass,GPS\"]}\n"
       "   uploadSamplRtcmEph      {Stream upload sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}\n"
       "\n"
       "Add Stream keys:\n"
       "   mountPoints   {Mountpoints [character string, semicolon separated list, example:\n"
-      "                 \"//user:pass@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 2;\n"
-      "                 //user:pass@www.igs-ip.net:2101/FFMJ00DEU0 RTCM_3.1 DEU 50.09 8.66 no 2\"}\n"
+      "                 \"//user:pass@igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 2;\n"
+      "                 //user:pass@igs-ip.net:2101/FFMJ00DEU0 RTCM_3.1 DEU 50.09 8.66 no 2\"}\n"
       "   ntripVersion  {Ntrip Version [character string: 1|2|2s|R|U]}\n"
       "   casterUrlList {Visited Broadcasters [character string, comma separated list]}\n"
@@ -323,8 +323,8 @@
       " --key reqcRnxVersion 2 --key reqcSampling 30 sec --key reqcV2Priority G:12&PWCSLX G:5&IQX\n"
       "(6) bnc --key mountPoints \"//user:pass@mgex.igs-ip.net:2101/CUT000AUS0 RTCM_3.0 ETH 9.03 38.74 no 2;"
-      "//user:pass@www.igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 2\"\n"
+      "//user:pass@igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 2\"\n"
       "(7) bnc --key cmbStreams \"CLK11 BLG 1.0;CLK93 CNES 1.0\"\n"
       "(8) bnc --key uploadMountpointsOut \"products.igs-ip.net,98756,TEST,letmein,IGS14,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;"
-      "www.euref-ip.net,333,TEST2,aaaaa,ETRF2000,2,,,33,5,5\"\n"
+      "euref-ip.net,333,TEST2,aaaaa,ETRF2000,2,,,33,5,5\"\n"
       "(9) bnc --key PPP/staTable \"FFMJ00DEU1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777;"
       "CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7778\"\n";
Index: trunk/BNC/src/bncsettings.cpp
===================================================================
--- trunk/BNC/src/bncsettings.cpp	(revision 9399)
+++ trunk/BNC/src/bncsettings.cpp	(revision 9404)
@@ -66,6 +66,6 @@
     setValue_p("font",                "");
     setValue_p("casterUrlList", (QStringList()
-                               << "http://user:pass@www.euref-ip.net:2101"
-                               << "http://user:pass@www.igs-ip.net:2101"
+                               << "http://user:pass@euref-ip.net:2101"
+                               << "http://user:pass@igs-ip.net:2101"
                                << "http://user:pass@products.igs-ip.net:2101"
                                << "http://user:pass@mgex.igs-ip.net:2101"));
Index: trunk/BNC/src/bnctabledlg.cpp
===================================================================
--- trunk/BNC/src/bnctabledlg.cpp	(revision 9399)
+++ trunk/BNC/src/bnctabledlg.cpp	(revision 9404)
@@ -110,8 +110,8 @@
   // WhatsThis, Add Streams from Caster, Top
   // ---------------------------------------
-  _casterHostComboBox->setWhatsThis(tr("<p>Enter the Ntrip Broadcaster URL or IP number.</p><p>Note that EUREF and IGS operate Ntrip Broadcasters at <u>www.euref-ip.net</u>, <u>www.igs-ip.net</u>, <u>products.igs-ip.net</u>, and <u>mgex.igs-ip.net</u>.</p>"));
+  _casterHostComboBox->setWhatsThis(tr("<p>Enter the Ntrip Broadcaster URL or IP number.</p><p>Note that EUREF and IGS operate Ntrip Broadcasters at <u>euref-ip.net</u>, <u>igs-ip.net</u>, <u>products.igs-ip.net</u>, and <u>mgex.igs-ip.net</u>.</p>"));
   _casterPortLineEdit->setWhatsThis(tr("<p>Enter the Ntrip Broadcaster port number.</p></p>Note that 80 and 2101 are often used port numbers. Note further that Ntrip Version 2 via SSL usually requires specifying port 443.</p>"));
-  _buttonCasterTable->setWhatsThis(tr("<p>Hit 'Show' for a table of known Ntrip Broadcaster installations as maintained at <u>http://www.rtcm-ntrip.org/home.</u></p><p>A window opens which allows to select a broadcaster for stream retrieval.</p>"));
-  _casterUserLineEdit->setWhatsThis(tr("<p>Access to streams on Ntrip Broadcasters can be restricted. You may need to enter a valid 'User' ID and 'Password' for access to protected streams.</p><p>Accounts are usually provided per Ntrip Broadcaster following a registration process. Register via <u>https://registration.rtcm-ntrip.org</u> for access to protected streams on <u>www.euref-ip.net</u>, <u>www.igs-ip.net</u>, <u>products.igs-ip.net</u>, or <u>mges.igs-ip.net</u>.</p>"));
+  _buttonCasterTable->setWhatsThis(tr("<p>Hit 'Show' for a table of known Ntrip Broadcaster installations as maintained at <u>http://rtcm-ntrip.org/home.</u></p><p>A window opens which allows to select a broadcaster for stream retrieval.</p>"));
+  _casterUserLineEdit->setWhatsThis(tr("<p>Access to streams on Ntrip Broadcasters can be restricted. You may need to enter a valid 'User' ID and 'Password' for access to protected streams.</p><p>Accounts are usually provided per Ntrip Broadcaster following a registration process. Register via <u>https://registration.rtcm-ntrip.org</u> for access to protected streams on <u>euref-ip.net</u>, <u>igs-ip.net</u>, <u>products.igs-ip.net</u>, or <u>mges.igs-ip.net</u>.</p>"));
   _casterPasswordLineEdit->setWhatsThis(tr("<p>Enter a valid 'Password' for access to protected streams.</p>"));
   _ntripVersionComboBox->setWhatsThis(tr("<p>Select the Ntrip transport protocol version you want to use. Implemented options are:<br>&nbsp; 1:&nbsp; Ntrip Version 1, TCP/IP<br>&nbsp; 2:&nbsp; Ntrip Version 2, TCP/IP mode<br>&nbsp; 2s:&nbsp; Ntrip Version 2 TCP/IP mode via SSL (usually port 443)<br>&nbsp; R:&nbsp; Ntrip Version 2, RTSP/RTP mode<br>&nbsp; U:&nbsp; Ntrip Version 2, UDP mode<br>Select option '1' if you are not sure whether the Ntrip Broadcaster supports Ntrip Version 2.</p><p>Note that RTSP/RTP (option 'R') and UDP (option 'U') are not accepted by proxies and sometimes not supported by mobile Internet Service Providers.</p>"));
@@ -526,5 +526,5 @@
 
   QUrl url;
-  url.setHost("www.rtcm-ntrip.org");
+  url.setHost("rtcm-ntrip.org");
   url.setPath("/");
   if (ntripVersion == "2s") {
@@ -621,10 +621,10 @@
   _whatsThisButton->setMaximumWidth(12*ww);
 
-  // WhatsThis, List of Ntrip Broadcasters from www.rtcm-ntrip.org
+  // WhatsThis, List of Ntrip Broadcasters from rtcm-ntrip.org
   // -------------------------------------------------------------
-  _casterTable->setWhatsThis(tr("<p>Select an Ntrip Broadcaster and hit 'OK'.</p><p>See <u>http://www.rtcm-ntrip.org/home</u> for further details on known Ntrip Broadcaster installations.</u>"));
+  _casterTable->setWhatsThis(tr("<p>Select an Ntrip Broadcaster and hit 'OK'.</p><p>See <u>http://rtcm-ntrip.org/home</u> for further details on known Ntrip Broadcaster installations.</u>"));
 
   QGridLayout* dlgLayout = new QGridLayout();
-  dlgLayout->addWidget(new QLabel("  List of Ntrip Broadcasters from www.rtcm-ntrip.org"), 0,0,1,3,Qt::AlignLeft);
+  dlgLayout->addWidget(new QLabel("  List of Ntrip Broadcasters from rtcm-ntrip.org"), 0,0,1,3,Qt::AlignLeft);
   dlgLayout->addWidget(_casterTable,     1, 0, 1, 3);
   dlgLayout->addWidget(_whatsThisButton, 2, 0);