Index: /trunk/BNC/ChangeLog.txt
===================================================================
--- /trunk/BNC/ChangeLog.txt	(revision 9417)
+++ /trunk/BNC/ChangeLog.txt	(revision 9418)
@@ -2,4 +2,10 @@
  BNC VERSION 2.13.0 (xx.xx.xxxx) current
 --------------------------------------------------------------------------------
+    Added   (          ): PPP Client upgraded
+    Addad   (          ): Ephemerides can be uploaded for individuel / all systems
+                          in parallel
+    Open    (          ): Support of Upload via Ntrip version 2.0
+    Added   (          ): SP3 and clock rinex can be written for multi-GNSS
+    Added    (         ): combination can be done per system (G,R,E,C,I,J,S)
     Changed (19.03.2020): Upgrade to newmat11
     Added   (23.09.2019): IRNSS support is added wih respect to RTCM formats
Index: /trunk/BNC/Example_Configs/17_Combi.bnc
===================================================================
--- /trunk/BNC/Example_Configs/17_Combi.bnc	(revision 9417)
+++ /trunk/BNC/Example_Configs/17_Combi.bnc	(revision 9418)
@@ -129,5 +129,5 @@
 uploadEphSample=5
 uploadIntr=1 day
-uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,1,,Pass,IGS14,RTCM-SSR,2,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
+uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,1,,Pass,IGS14,RTCM-SSR,2,Output/BNCOUTPUT0${V3PROD}.sp3,Output/BNCOUTPUT0${V3PROD}.clk,,,,0 byte(s),"
 uploadSamplClkRnx=0
 uploadSamplRtcmEph=0
Index: /trunk/BNC/Example_Configs/18_CombiPPP.bnc
===================================================================
--- /trunk/BNC/Example_Configs/18_CombiPPP.bnc	(revision 9417)
+++ /trunk/BNC/Example_Configs/18_CombiPPP.bnc	(revision 9418)
@@ -129,5 +129,5 @@
 uploadEphSample=5
 uploadIntr=1 day
-uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,1,,Pass,IGS14,RTCM-SSR,2,Output/BNC${GPSWD}.sp3,Output/BNC${GPSWD}.clk,,,,0 byte(s),"
+uploadMountpointsOut="products.igs-ip.net,2101,CLOCK,1,,Pass,IGS14,RTCM-SSR,2,Output/BNCOUTPUT0${V3PROD}.sp3,Output/BNCOUTPUT${V3PROD}.clk,,,,0 byte(s),"
 uploadSamplClkRnx=0
 uploadSamplRtcmEph=0
Index: /trunk/BNC/src/PPP_SSR_I/pppFilter.cpp
===================================================================
--- /trunk/BNC/src/PPP_SSR_I/pppFilter.cpp	(revision 9417)
+++ /trunk/BNC/src/PPP_SSR_I/pppFilter.cpp	(revision 9418)
@@ -352,5 +352,4 @@
 
   double offset = 0.0;
-
   t_frequency::type frqA = t_frequency::G1;
   t_frequency::type frqB = t_frequency::G2;
Index: /trunk/BNC/src/bncclockrinex.cpp
===================================================================
--- /trunk/BNC/src/bncclockrinex.cpp	(revision 9417)
+++ /trunk/BNC/src/bncclockrinex.cpp	(revision 9418)
@@ -100,18 +100,20 @@
        << "ANALYSIS CENTER" << endl;
 
-  _out << "    54                                                      "
+  _out << "   177                                                      "
        << "# OF SOLN SATS" << endl;
 
-  _out << "G01 G02 G03 G04 G05 G06 G07 G08 G09 G10 G11 G12 G13 G14 G15 "
-       << "PRN LIST" << endl;
-
-  _out << "G16 G17 G18 G19 G20 G21 G22 G23 G25 G26 G27 G28 G29 G30 G31 "
-       << "PRN LIST" << endl;
-
-  _out << "G32 R01 R02 R03 R05 R06 R07 R08 R09 R10 R11 R12 R13 R14 R15 "
-       << "PRN LIST" << endl;
-
-  _out << "R16 R17 R18 R19 R20 R21 R22 R23 R24                         "
-       << "PRN LIST" << endl;
+  _out << "G01 G02 G03 G04 G05 G06 G07 G08 G09 G10 G11 G12 G13 G14 G15 PRN LIST" << endl;
+  _out << "G16 G17 G18 G19 G20 G21 G22 G23 G25 G26 G27 G28 G29 G30 G31 PRN LIST" << endl;
+  _out << "G32 R01 R02 R03 R05 R06 R07 R08 R09 R10 R11 R12 R13 R14 R15 PRN LIST" << endl;
+  _out << "R16 R17 R18 R19 R20 R21 R22 R23 R24 R25 R26 E01 E02 E03 E04 PRN LIST" << endl;
+  _out << "R16 R17 R18 R19 R20 R21 R22 R23 R24 R25 R26 E01 E02 E03 E04 PRN LIST" << endl;
+  _out << "E05 E06 E07 E08 E09 E10 E11 E12 E13 E14 E15 E16 E17 E18 E19 PRN LIST" << endl;
+  _out << "E20 E21 E22 E23 E24 E25 E26 E27 E28 E29 E30 E31 E32 E33 E34 PRN LIST" << endl;
+  _out << "E35 E36 C01 C02 C03 C04 C05 C06 C07 C08 C09 C10 C11 C12 C13 PRN LIST" << endl;
+  _out << "C14 C15 C16 C17 C18 C19 C20 C21 C22 C23 C24 C25 C26 C27 C28 PRN LIST" << endl;
+  _out << "C29 C30 C31 C32 C33 C34 C35 C36 C37 C38 C39 C40 C41 C42 C43 PRN LIST" << endl;
+  _out << "C44 C45 C46 C47 C48 C49 C50 C51 C52 C53 C54 C55 C56 C57 C58 PRN LIST" << endl;
+  _out << "C59 C60 C61 C62 C63 J01 J02 J03 J04 I01 I02 I03 I04 I05 I06 PRN LIST" << endl;
+  _out << "I07 S20 S24 S27 S28 S29 S33 S35 S37 S38                     PRN LIST" << endl;
 
   _out << "     0    IGS14                                             "
Index: /trunk/BNC/src/bnchelp.html
===================================================================
--- /trunk/BNC/src/bnchelp.html	(revision 9417)
+++ /trunk/BNC/src/bnchelp.html	(revision 9418)
@@ -4286,8 +4286,8 @@
 
 <pre>
-   /home/user/BNC${GPSWD}.sp3
-</pre>
-
-Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p>
+   /home/user/BNCOUTPUT0${V3PROD}.sp3
+</pre>
+Note that '${V3PROD}' produces the time stamp in the filename, which is related to the RINEX version 3 filename concept.
+</p>
 <p>
 Default is an empty option field, meaning that you do not want BNC to save the uploaded stream content in daily SP3 files.
@@ -4317,7 +4317,7 @@
 Specify a path for saving the generated clock corrections as Clock RINEX files. If the specified directory does not exist, BNC will not create Clock RINEX files. The following is a path example for a Linux system:
 <pre>
-   /home/user/BNC${GPSWD}.clk
-</pre>
-Note that '${GPSWD}' produces the GPS Week and Day number in the filename.
+   /home/user/BNCOUTPUT0${V3PROD}.clk
+</pre>
+Note that '${V3PROD}' produces the time stamp in the filename, which is related to the RINEX version 3 filename concept.
 </p>
 
@@ -5262,6 +5262,6 @@
 <b>Upload Corrections Panel keys:</b>
    uploadMountpointsOut   {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:
-                          "igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;
-                           euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0"]}
+                          "igs-ip.net,2101,IGS01,2,user,pass,IGS14,IGS-SSR,0,/home/user/BNCOUTPUT0${V3PROD}.sp3,BNCOUTPUT0${V3PROD}.clk,258,1,0;
+                           euref-ip.net,2101,EUREF01,2,user,pass,ETRF2000,IGS-SSR,0,,,258,2,0"]}
    uploadIntr             {Length of SP3 and Clock RINEX file interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}
    uploadSamplRtcmEphCorr {Orbit corrections stream sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]}
@@ -5320,7 +5320,7 @@
 (6) bnc --key mountPoints "//user:pass@mgex.igs-ip.net:2101/CUT07 RTCM_3.0 ETH 9.03 38.74 no 2;
                            //user:pass@igs-ip.net:2101/FFMJ1 RTCM_3.1 DEU 50.09 8.66 no 2"
-(7) bnc --key cmbStreams "CLK11 BLG 1.0;CLK93 CNES 1.0"
-(8) bnc --key uploadMountpointsOut "products.igs-ip.net,98756,TEST,letmein,IGS14,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;
-                                    euref-ip.net,333,TEST2,aaaaa,NAD83,2,,,33,5,5"
+(7) bnc --key cmbStreams "SSRA00BKG1 BKG 1.0;SSRA00CNE1 CNES 1.0"
+(8) bnc --key uploadMountpointsOut "products.igs-ip.net,98756,TEST,2,user,passwd,IGS14,IGS-SSR,2,/Users/weber/BNCOUTPUT0${V3PROD}.clk,,33,3,2;
+                                    euref-ip.net,333,TEST2,2,user,passwd,ETRF12000,IGS-SSR,2,,,33,5,5"
 (9) bnc --key PPP/staTable "FFMJ1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777;
                             CUT07,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7778"
Index: /trunk/BNC/src/bncmain.cpp
===================================================================
--- /trunk/BNC/src/bncmain.cpp	(revision 9417)
+++ /trunk/BNC/src/bncmain.cpp	(revision 9418)
@@ -267,5 +267,5 @@
       "Upload Corrections Panel keys:\n"
       "   uploadMountpointsOut   {Upload corrections table [character string, semicolon separated list, each element in quotation marks, example:\n"
-      "                          \"igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNC$[GPSWD}.sp3,/home/user/BNC$[GPSWD}.clk,258,1,0;\n"
+      "                          \"igs-ip.net,2101,IGS01,pass,IGS14,0,/home/user/BNCOUTPUT0${V3PROD}.sp3,/home/user/BNCOUTPUT0${V3PROD}.clk,258,1,0;\n"
       "                          euref-ip.net,2101,EUREF01,pass,ETRF2000,0,,,258,2,0\"]}\n"
       "   uploadIntr             {Length of SP3 and Clock RINEX file interval [character string: 1 min|2 min|5 min|10 min|15 min|30 min|1 hour|1 day]}\n"
@@ -325,5 +325,5 @@
       "//user:pass@igs-ip.net:2101/FFMJ00DEU1 RTCM_3.1 DEU 50.09 8.66 no 2\"\n"
       "(7) bnc --key cmbStreams \"CLK11 BLG 1.0;CLK93 CNES 1.0\"\n"
-      "(8) bnc --key uploadMountpointsOut \"products.igs-ip.net,98756,TEST,letmein,IGS14,2,/Users/weber/BNC${GPSWD}.clk,,33,3,2;"
+      "(8) bnc --key uploadMountpointsOut \"products.igs-ip.net,98756,TEST,letmein,IGS14,2,/Users/weber/BNCOUTPUT0${V3PROD}.clk,,33,3,2;"
       "euref-ip.net,333,TEST2,aaaaa,ETRF2000,2,,,33,5,5\"\n"
       "(9) bnc --key PPP/staTable \"FFMJ00DEU1,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,7777;"
Index: /trunk/BNC/src/bncoutf.cpp
===================================================================
--- /trunk/BNC/src/bncoutf.cpp	(revision 9417)
+++ /trunk/BNC/src/bncoutf.cpp	(revision 9418)
@@ -151,8 +151,18 @@
   QString baseName = _sklBaseName;
   baseName.replace("${GPSWD}", gpswd);
-  baseName.replace("${V3}" , QString("_U_%1%2").arg(yyyy).arg(doy));
-  if (_extension.count(".") == 2) {_extension.replace(0,1,"_"); }
-
-  return _path + baseName + epoStr + _extension;
+  baseName.replace("${V3OBS}" , QString("_U_%1%2").arg(yyyy).arg(doy));
+  baseName.replace("${V3PROD}", QString("_%1%2").arg(yyyy).arg(doy));
+  QString addition = "";
+    if (_extension.contains("sp3") || _extension.contains("SP3")) {
+      addition = QString("_ORB");
+    }
+    if (_extension.contains("clk") || _extension.contains("CLK")) {
+      addition = QString("_CLK");
+    }
+  if (_extension.count(".") == 2) {
+    _extension.replace(0,1,"_");
+  }
+
+  return _path + baseName + epoStr + addition + _extension;
 }
 
Index: /trunk/BNC/src/bncsp3.cpp
===================================================================
--- /trunk/BNC/src/bncsp3.cpp	(revision 9417)
+++ /trunk/BNC/src/bncsp3.cpp	(revision 9418)
@@ -137,5 +137,5 @@
   }
 
-  _out << "#aP" << datTim.toString("yyyy MM dd hh mm").toLatin1().data()
+  _out << "#dP" << datTim.toString("yyyy MM dd hh mm").toLatin1().data()
        << setw(12) << setprecision(8) << sec
        << " " << setw(7) << numEpo << " ORBIT IGS14 HLM  IGS" << endl;
@@ -148,15 +148,27 @@
        << setw(16) << setprecision(13) << dayfrac << endl;
 
-  _out << "+   56   G01G02G03G04G05G06G07G08G09G10G11G12G13G14G15G16G17\n"
+  _out << "+  177   G01G02G03G04G05G06G07G08G09G10G11G12G13G14G15G16G17\n"
        << "+        G18G19G20G21G22G23G24G25G26G27G28G29G30G31G32R01R02\n"
        << "+        R03R04R05R06R07R08R09R10R11R12R13R14R15R16R17R18R19\n"
-       << "+        R20R21R22R23R24  0  0  0  0  0  0  0  0  0  0  0  0\n"
-       << "+          0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
-       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
-       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
-       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
-       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
-       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
-       << "%c cc cc ccc ccc cccc cccc cccc cccc ccccc ccccc ccccc ccccc\n"
+       << "+        R20R21R22R23R24R25R26E01E02E03E04E05E06E07E08E09E10\n"
+       << "+        E11E12E13E14E15E16E17E18E19E20E21E22E23E24E25E26E27\n"
+       << "+        E28E29E30E31E32E33E34E35E36C01C02C03C04C05C06C07C08\n"
+       << "+        C09C10C11C12C13C14C15C16C17C18C19C20C21C22C23C24C25\n"
+       << "+        C26C27C28C29C30C31C32C33C34C35C36C37C38C39C40C41C42\n"
+       << "+        C43C44C45C46C47C48C49C50C51C52C53C54C55C56C57C58C59\n"
+       << "+        C60C61C62C63J01J02J03J04I01I02I03I04I05I06I07S20S24\n"
+       << "+        S27S28S29S33S35S37S38  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "++         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0\n"
+       << "%c M  cc GPS ccc cccc cccc cccc cccc ccccc ccccc ccccc ccccc\n"
        << "%c cc cc ccc ccc cccc cccc cccc cccc ccccc ccccc ccccc ccccc\n"
        << "%f  0.0000000  0.000000000  0.00000000000  0.000000000000000\n"
Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 9417)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 9418)
@@ -1481,5 +1481,5 @@
   // WhatsThis, Upload Corrections
   // -----------------------------
-  _uploadTable->setWhatsThis(tr("<p>BNC can upload clock and orbit corrections to Broadcast Ephemeris (Broadcast Corrections) in RTCM Version 3 SSR format. You may have a situation where clocks and orbits come from an external Real-time Network Engine (1) or a situation where clock and orbit corrections are combined within BNC (2).</p><p>(1) BNC identifies a stream as coming from a Real-time Network Engine if its format is specified as 'RTNET' and hence its decoder string in the 'Streams' canvas is 'RTNET'. It encodes and uploads that stream to the specified Ntrip Broadcaster Host and Port</p><p>(2) BNC understands that it is expected to encode and upload combined Broadcast Ephemeris Corrections if you specify correction streams in the 'Combine Corrections' table.</p><p>To fill the 'Upload Corrections' table, hit the 'Add Row' button, double click on the 'Host' field to enter the IP or URL of an Ntrip Broadcaster and hit Enter. Select the Ntrip Version that shall be used for data upload. Then double click on the 'Port', 'Mount' and 'Password' fields to enter the Ntrip Broadcaster IP port (default is 80), the mountpoint and the stream upload password. If Ntrip Version 2 is chosen, click to the 'User' field to enter a stream upload user name. An empty 'Host' option field means that you don't want to upload corrections.</p><p>Select a target coordinate reference System (e.g. IGS14) for outgoing clock and orbit corrections.</p><p>By default orbit and clock corrections refer to Antenna Phase Center (APC). Tick 'CoM' to refer uploaded corrections to Center of Mass instead of APC.</p><p>Specify a path for saving generated Broadcast Corrections plus Broadcast Ephemeris as SP3 orbit files. If the specified directory does not exist, BNC will not create such files. The following is a path example for a Linux system: /home/user/BNC${GPSWD}.sp3<br>Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p><p>Specify a path for saving generated Broadcast Correction clocks plus Broadcast Ephemeris clocks as Clock RINEX files. If the specified directory does not exist, BNC will not create Clock RINEX files. The following is a path example for a Linux system: /home/user/BNC${GPSWD}.clk<br>Note that '${GPSWD}' produces the GPS Week and Day number in the filename.</p><p>Finally, specify a SSR Provider ID (issued by RTCM), SSR Solution ID, and SSR Issue of Data number.</p><p>In case the 'Combine Corrections' table contains only one Broadcast Correction stream, BNC will add that stream content to the Broadcast Ephemeris to save results in files specified via SP3 and/or Clock RINEX file path. You should then define only the SP3 and Clock RINEX file path and no further option in the 'Upload Corrections' table. <i>[key: uploadMountpointsOut]</i></p>"));
+  _uploadTable->setWhatsThis(tr("<p>BNC can upload clock and orbit corrections to Broadcast Ephemeris (Broadcast Corrections) in RTCM Version 3 SSR format. You may have a situation where clocks and orbits come from an external Real-time Network Engine (1) or a situation where clock and orbit corrections are combined within BNC (2).</p><p>(1) BNC identifies a stream as coming from a Real-time Network Engine if its format is specified as 'RTNET' and hence its decoder string in the 'Streams' canvas is 'RTNET'. It encodes and uploads that stream to the specified Ntrip Broadcaster Host and Port</p><p>(2) BNC understands that it is expected to encode and upload combined Broadcast Ephemeris Corrections if you specify correction streams in the 'Combine Corrections' table.</p><p>To fill the 'Upload Corrections' table, hit the 'Add Row' button, double click on the 'Host' field to enter the IP or URL of an Ntrip Broadcaster and hit Enter. Select the Ntrip Version that shall be used for data upload. Then double click on the 'Port', 'Mount' and 'Password' fields to enter the Ntrip Broadcaster IP port (default is 80), the mountpoint and the stream upload password. If Ntrip Version 2 is chosen, click to the 'User' field to enter a stream upload user name. An empty 'Host' option field means that you don't want to upload corrections.</p><p>Select a target coordinate reference System (e.g. IGS14) for outgoing clock and orbit corrections.</p><p>By default orbit and clock corrections refer to Antenna Phase Center (APC). Tick 'CoM' to refer uploaded corrections to Center of Mass instead of APC.</p><p>Specify a path for saving generated Broadcast Corrections plus Broadcast Ephemeris as SP3 orbit files. If the specified directory does not exist, BNC will not create such files. The following is a path example for a Linux system: /home/user/BNCOUTPUT0${V3PROD}.sp3<br>Note that '${V3PROD}' produces the time stamp in the filename, which is related to the RINEX version 3 filename concept.</p><p>Specify a path for saving generated Broadcast Correction clocks plus Broadcast Ephemeris clocks as Clock RINEX files. If the specified directory does not exist, BNC will not create Clock RINEX files. The following is a path example for a Linux system: /home/user/BNCOUTPUT0${V3PROD}.clk<br>Note that '${V3PROD}' produces the time stamp in the filename, which is related to the RINEX version 3 filename concept.</p><p>Finally, specify a SSR Provider ID (issued by RTCM), SSR Solution ID, and SSR Issue of Data number.</p><p>In case the 'Combine Corrections' table contains only one Broadcast Correction stream, BNC will add that stream content to the Broadcast Ephemeris to save results in files specified via SP3 and/or Clock RINEX file path. You should then define only the SP3 and Clock RINEX file path and no further option in the 'Upload Corrections' table. <i>[key: uploadMountpointsOut]</i></p>"));
   addUploadRowButton->setWhatsThis(tr("<p>Hit 'Add Row' button to add another line to the 'Upload Corrections' table.</p>"));
   delUploadRowButton->setWhatsThis(tr("<p>Hit 'Del Row' button to delete the highlighted line(s) from the 'Upload Corrections' table.</p>"));
Index: /trunk/BNC/src/pppMain.cpp
===================================================================
--- /trunk/BNC/src/pppMain.cpp	(revision 9417)
+++ /trunk/BNC/src/pppMain.cpp	(revision 9418)
@@ -189,5 +189,9 @@
 #ifdef USE_PPP
     // Pseudo Observations
-    if      (settings.value("PPP/pseudoObs").toString() == "Troposphere") {
+    if      (settings.value("PPP/pseudoObs").toString() == "no") {
+      opt->_pseudoObsIono  = false;
+      opt->_pseudoObsTropo = false;
+    }
+    else if (settings.value("PPP/pseudoObs").toString() == "Troposphere") {
       opt->_pseudoObsIono  = false;
       opt->_pseudoObsTropo = true;
Index: /trunk/BNC/src/pppRun.cpp
===================================================================
--- /trunk/BNC/src/pppRun.cpp	(revision 9417)
+++ /trunk/BNC/src/pppRun.cpp	(revision 9418)
@@ -190,5 +190,5 @@
     }
     if (!v2filenames) {
-      logFileSkl = logFileSkl + ID9 + "${V3}" + distStr + ".ppp";
+      logFileSkl = logFileSkl + ID9 + "${V3PROD}" + distStr + ".ppp";
     }
     else {
@@ -208,5 +208,5 @@
     }
     if (!v2filenames) {
-      nmeaFileSkl = nmeaFileSkl + ID9 + "${V3}" + distStr + ".nmea";
+      nmeaFileSkl = nmeaFileSkl + ID9 + "${V3PROD}" + distStr + ".nmea";
     }
     else {
Index: /trunk/BNC/src/pppWidgets.cpp
===================================================================
--- /trunk/BNC/src/pppWidgets.cpp	(revision 9417)
+++ /trunk/BNC/src/pppWidgets.cpp	(revision 9418)
@@ -155,5 +155,5 @@
 #else
   _modelObs->addItems(QString("Ionosphere-free PPP,Uncombined PPP,PPP-RTK,DCM with Code Biases,DCM with Phase Biases").split(","));
-  _pseudoObs->addItems(QString("Troposphere,Iono+Tropo").split(","));
+  _pseudoObs->addItems(QString("no,Troposphere,Iono+Tropo").split(","));
 #endif
 
Index: /trunk/BNC/src/src.pri
===================================================================
--- /trunk/BNC/src/src.pri	(revision 9417)
+++ /trunk/BNC/src/src.pri	(revision 9418)
@@ -27,10 +27,8 @@
 release:MOC_DIR=.moc/release
 
-
+release:DEFINES += BNC_DEBUG_BCEP
 debug:DEFINES   += BNC_DEBUG_BCEP
-#debug:DEFINES   += BNC_DEBUG_PPP
+debug:DEFINES   += BNC_DEBUG_PPP
 #debug:DEFINES   += BNC_DEBUG_SSR
-release:DEFINES += BNC_DEBUG_BCEP
-
 
 # Include Path
Index: /trunk/BNC/src/src.pro
===================================================================
--- /trunk/BNC/src/src.pro	(revision 9417)
+++ /trunk/BNC/src/src.pro	(revision 9418)
@@ -2,6 +2,6 @@
 TARGET = ../bnc
 
-CONFIG -= debug
-CONFIG += release
+CONFIG += debug
+CONFIG -= release
 
 include(src.pri)