Index: trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp	(revision 9422)
+++ trunk/BNC/src/RTCM3/RTCM3coDecoder.cpp	(revision 9424)
@@ -137,4 +137,5 @@
 
     QString fileNameHlp = _fileNameSkl
+      + QString("_%1").arg(datTim.date().year())
       + QString("%1").arg(datTim.date().dayOfYear(), 3, 10, QChar('0'))
       + hlpStr + datTim.toString(".yyC");
Index: trunk/BNC/src/bncabout.html
===================================================================
--- trunk/BNC/src/bncabout.html	(revision 9422)
+++ trunk/BNC/src/bncabout.html	(revision 9424)
@@ -1,5 +1,5 @@
 <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
 Developed under GNU General Public License for 'Networked Transport of RTCM via Internet Protocol' (NTRIP) to receive GNSS streaming data over the Internet.<br>
-<u>http://igs.bkg.bund.de/ntrip/about</u><br>
+<u>https://igs.bkg.bund.de/ntrip/about</u><br>
 <br>
 BKG Software by:<br>
@@ -9,5 +9,5 @@
 Department of Geodesy<br>
 Prague, Czech Republic<br>
-<u>http://www.fsv.cvut.cz</u><br>
+<u>https://www.fsv.cvut.cz</u><br>
 <br>
 Federal Agency for Cartography and Geodesy (BKG)<br>
@@ -15,9 +15,9 @@
 Section Navigation<br>
 Frankfurt, Germany<br>
-<u>http://www.bkg.bund.de</u><br>
+<u>https://www.bkg.bund.de</u><br>
 <br>
 This software is provided 'as is'.<br>
 Make sure you installed the latest version available from<br>
-<u>http://igs.bkg.bund.de/ntrip/download</u><br>
+<u>https://igs.bkg.bund.de/ntrip/download</u><br>
 <br>
 Disclaimer:<br>
Index: trunk/BNC/src/bnchelp.html
===================================================================
--- trunk/BNC/src/bnchelp.html	(revision 9422)
+++ trunk/BNC/src/bnchelp.html	(revision 9424)
@@ -2046,5 +2046,5 @@
 and tracking mode or channel must be separated by ampersand character '&'. Specifications for each navigation systems must be separated by blank character ' '.
 
-<p>Examples for 'Plots for signals' option:<ul><li> G:1&2&5 R:1&2&3 J:1&2 E:1&7 C:1&6 S:1<br>
+<p>Examples for 'Plots for signals' option:<ul><li> G:1&2&5 R:1&2&3 E:1&7 C:2&6 J:1&2 I:5&9 S:1&5 <br>
 (Plots will be based on GPS observations on 1st, 2nd and 5th frequency, GLONASS observations on 1st, 2nd and 3rd frequency,
 QZSS observations on 1st and 2nd frequency, Galileo observations on 1st and 7th frequency, BeiDou observations on
Index: trunk/BNC/src/bncsettings.cpp
===================================================================
--- trunk/BNC/src/bncsettings.cpp	(revision 9422)
+++ trunk/BNC/src/bncsettings.cpp	(revision 9424)
@@ -105,5 +105,5 @@
     setValue_p("reqcOutNavFile",      "");
     setValue_p("reqcOutLogFile",      "");
-    setValue_p("reqcSkyPlotSignals",  "C:2&7 E:1&5 G:1&2&5 J:1&2 R:1&2&3 S:1&5 I:5&9");
+    setValue_p("reqcSkyPlotSignals",  "G:1&2&5 R:1&2&3 E:1&7 C:2&6 J:1&2 I:5&9 S:1&5");
     setValue_p("reqcPlotDir",         "");
     setValue_p("reqcRnxVersion",      "");
Index: trunk/BNC/src/bncsinextro.cpp
===================================================================
--- trunk/BNC/src/bncsinextro.cpp	(revision 9422)
+++ trunk/BNC/src/bncsinextro.cpp	(revision 9424)
@@ -188,5 +188,5 @@
            <<  " -----"
            << _antex->pcoSinexString(_opt->_antNameRover, t_frequency::C2).toStdString()
-           << _antex->pcoSinexString(_opt->_antNameRover, t_frequency::C7).toStdString()
+           << _antex->pcoSinexString(_opt->_antNameRover, t_frequency::C6).toStdString()
         << endl;
       _out << "-SITE/BEIDOU_PHASE_CENTER" << endl << endl;
Index: trunk/BNC/src/bncwindow.cpp
===================================================================
--- trunk/BNC/src/bncwindow.cpp	(revision 9422)
+++ trunk/BNC/src/bncwindow.cpp	(revision 9424)
@@ -1376,5 +1376,5 @@
   _reqcLogSummaryOnly->setWhatsThis(tr("<p>By default BNC produces a detailed 'Logfile' providing all information resulting from editing or analyzing RINEX data. If that is too much information, you can limit the logfile content to a short summary.</p><p>Tick 'Summary only' to suppress full logfile output and instead produce a logfile containing only summary information. <i>[key: reqcLogSummaryOnly]</i></p>"));
   _reqcPlotDirLineEdit->setWhatsThis(tr("<p>Specify a directory for saving plots in PNG format.</p><p>Default is an empty option field, meaning that plots will not be saved on disk. <i>[key: reqcPlotDir]</i></p>"));
-  _reqcSkyPlotSignals->setWhatsThis(tr("<p>BNC can produce plots for multipath, signal-to-noise ratio, satellite availability, satellite elevation, and PDOP values. The 'Plots for signals' option lets you exactly specify observation signals to be used for that and also enables the plot generation. You can specify the navigation system, the frequency, and the tracking mode or channel as defined in RINEX Version 3. Specifications for frequency and tracking mode or channel must be separated by ampersand character '&'. Specifications for navigation systems must be separated by blank character ' '.</p><p>Examples for 'Plots for signals' option:<ul><li> G:1&2&5 R:1&2&3 J:1&2 E:1&7 C:1&6 S:1<br>(Plots will be based on GPS observations on 1st and 2nd frequency, GLONASS observations on 1st and 2nd frequency, QZSS observations on 1st and 2nd frequency, Galileo observations on 1st and 7th frequency, BeiDou observations on 1st and 6th frequency, SBAS observations on 1st frequency.)</li><li>G:1C&5X<br>(Plots will be based on GPS observations on 1st frequency in C tracking mode and GPS observations on 5th frequency in X tracking mode.)</li><li>C:6I&7I<br>(Plots will be based on BeiDou observations on 6th frequency in I tracking mode and BeiDou observations on 7th frequency in I tracking mode.)<li></ul></p><p>Default is 'C:2&7 E:1&5 G:1&2 J:1&2 R:1&2 S:1&5 I:5&9'. Specifying an empty option string would be overruled by this default. <i>[key: reqcSkyPlotSignals]</i></p>"));
+  _reqcSkyPlotSignals->setWhatsThis(tr("<p>BNC can produce plots for multipath, signal-to-noise ratio, satellite availability, satellite elevation, and PDOP values. The 'Plots for signals' option lets you exactly specify observation signals to be used for that and also enables the plot generation. You can specify the navigation system, the frequency, and the tracking mode or channel as defined in RINEX Version 3. Specifications for frequency and tracking mode or channel must be separated by ampersand character '&'. Specifications for navigation systems must be separated by blank character ' '.</p><p>Examples for 'Plots for signals' option:<ul><li> G:1&2&5 R:1&2&3 E:1&7 C:2&6 J:1&2 I:5&9 S:1&5 <br>(Plots will be based on GPS observations on 1st and 2nd frequency, GLONASS observations on 1st and 2nd frequency, QZSS observations on 1st and 2nd frequency, Galileo observations on 1st and 7th frequency, BeiDou observations on 1st and 6th frequency, SBAS observations on 1st frequency.)</li><li>G:1C&5X<br>(Plots will be based on GPS observations on 1st frequency in C tracking mode and GPS observations on 5th frequency in X tracking mode.)</li><li>C:6I&7I<br>(Plots will be based on BeiDou observations on 6th frequency in I tracking mode and BeiDou observations on 7th frequency in I tracking mode.)<li></ul></p><p>Default is 'G:1&2 R:1&2 E:1&5 C:2&6 J:1&2 I:5&9 S:1&5'. Specifying an empty option string would be overruled by this default. <i>[key: reqcSkyPlotSignals]</i></p>"));
 
   // WhatsThis, SP3 Comparison
Index: trunk/BNC/src/pppRun.cpp
===================================================================
--- trunk/BNC/src/pppRun.cpp	(revision 9422)
+++ trunk/BNC/src/pppRun.cpp	(revision 9424)
@@ -225,5 +225,5 @@
     }
     if (!v2filenames) {
-      snxtroFileSkl = snxtroFileSkl + ID9 + "${V3}" + distStr + ".tra";
+      snxtroFileSkl = snxtroFileSkl + ID9 + "${V3PROD}" + distStr + ".tra";
     }
     else {