Index: trunk/BNC/Example_Configs/08_PPP.bnc
===================================================================
--- trunk/BNC/Example_Configs/08_PPP.bnc	(revision 9443)
+++ trunk/BNC/Example_Configs/08_PPP.bnc	(revision 9444)
@@ -163,7 +163,7 @@
 rinexObs=
 seedingTime=0
-sigmaC1=2.0
+sigmaC1=3.0
 sigmaGIM=4.0
-sigmaL1=0.01
+sigmaL1=0.02
 sigmaTz0=0.10
 snxtroAc=
@@ -172,5 +172,5 @@
 snxtroSampl=1 sec
 snxtroSol=
-staTable="FFMJ00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,"
+staTable="FFMJ00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0.1,,"
 useGoogleMap=true
 useOpenStreetMap=false
Index: trunk/BNC/Example_Configs/09_PPPNet.bnc
===================================================================
--- trunk/BNC/Example_Configs/09_PPPNet.bnc	(revision 9443)
+++ trunk/BNC/Example_Configs/09_PPPNet.bnc	(revision 9444)
@@ -163,7 +163,7 @@
 rinexObs=
 seedingTime=0
-sigmaC1=2.0
+sigmaC1=3.0
 sigmaGIM=4.0
-sigmaL1=0.01
+sigmaL1=0.02
 sigmaTz0=0.10
 snxtroAc=
@@ -172,5 +172,5 @@
 snxtroSampl=1 sec
 snxtroSol=
-staTable="FFMJ00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,", "CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,,"
+staTable="FFMJ00DEU0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0.1,,", "CUT000AUS0,100.0,100.0,100.0,100.0,100.0,100.0,0.1,3e-6,0.1,,"
 useGoogleMap=true
 useOpenStreetMap=false
Index: trunk/BNC/Example_Configs/10_PPPQuickStart.bnc
===================================================================
--- trunk/BNC/Example_Configs/10_PPPQuickStart.bnc	(revision 9443)
+++ trunk/BNC/Example_Configs/10_PPPQuickStart.bnc	(revision 9444)
@@ -163,7 +163,7 @@
 rinexObs=
 seedingTime=20
-sigmaC1=2.0
+sigmaC1=3.0
 sigmaGIM=4.0
-sigmaL1=0.01
+sigmaL1=0.02
 sigmaTz0=0.10
 snxtroAc=
@@ -172,5 +172,5 @@
 snxtroSampl=1 sec
 snxtroSol=
-staTable="FFMJ00DEU0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,7777,"
+staTable="FFMJ00DEU0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,0.1,7777,"
 useGoogleMap=true
 useOpenStreetMap=false
Index: trunk/BNC/Example_Configs/11_PPPPostProc.bnc
===================================================================
--- trunk/BNC/Example_Configs/11_PPPPostProc.bnc	(revision 9443)
+++ trunk/BNC/Example_Configs/11_PPPPostProc.bnc	(revision 9444)
@@ -163,7 +163,7 @@
 rinexObs=Input/CUT0194M.15O
 seedingTime=30
-sigmaC1=2.0
+sigmaC1=3.0
 sigmaGIM=4.0
-sigmaL1=0.01
+sigmaL1=0.02
 sigmaTz0=0.10
 snxtroAc=
@@ -172,5 +172,5 @@
 snxtroSampl=1 sec
 snxtroSol=
-staTable="CUT0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
+staTable="CUT0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,0.1,,"
 useGoogleMap=true
 useOpenStreetMap=false
Index: trunk/BNC/Example_Configs/12_PPPOsm.bnc
===================================================================
--- trunk/BNC/Example_Configs/12_PPPOsm.bnc	(revision 9443)
+++ trunk/BNC/Example_Configs/12_PPPOsm.bnc	(revision 9444)
@@ -165,7 +165,7 @@
 rinexObs=Input/VM011690.13O
 seedingTime=0
-sigmaC1=2.0
+sigmaC1=3.0
 sigmaGIM=4.0
-sigmaL1=0.01
+sigmaL1=0.02
 sigmaTz0=0.10
 snxtroAc=
@@ -174,5 +174,5 @@
 snxtroSampl=1 sec
 snxtroSol=
-staTable="VM01,100,100,100,100,100,100,0.1,3e-6,,"
+staTable="VM01,100,100,100,100,100,100,0.1,3e-6,0.1,,"
 v2filenames=2
 v3filenames=0
Index: trunk/BNC/Example_Configs/13_SPPQuickStart.bnc
===================================================================
--- trunk/BNC/Example_Configs/13_SPPQuickStart.bnc	(revision 9443)
+++ trunk/BNC/Example_Configs/13_SPPQuickStart.bnc	(revision 9444)
@@ -163,7 +163,7 @@
 rinexObs=
 seedingTime=30
-sigmaC1=2.0
+sigmaC1=3.0
 sigmaGIM=4.0
-sigmaL1=0.01
+sigmaL1=0.02
 sigmaTz0=0.10
 snxtroAc=
@@ -172,5 +172,5 @@
 snxtroSampl=1 sec
 snxtroSol=
-staTable="CUT000AUS0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
+staTable="CUT000AUS0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,0.1,,"
 useGoogleMap=true
 useOpenStreetMap=false
Index: trunk/BNC/Example_Configs/18_CombiPPP.bnc
===================================================================
--- trunk/BNC/Example_Configs/18_CombiPPP.bnc	(revision 9443)
+++ trunk/BNC/Example_Configs/18_CombiPPP.bnc	(revision 9444)
@@ -165,7 +165,7 @@
 rinexObs=
 seedingTime=30
-sigmaC1=2.0
+sigmaC1=3.0
 sigmaGIM=4.0
-sigmaL1=0.01
+sigmaL1=0.02
 sigmaTz0=0.10
 snxtroAc=
@@ -174,5 +174,5 @@
 snxtroSampl=1 sec
 snxtroSol=
-staTable="FFMJ00DEU0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,,"
+staTable="FFMJ00DEU0,0.01,0.01,0.01,100.0,100.0,100.0,0.1,3e-6,0.1,,"
 v2filenames=0
 v3filenames=0